<!DOCTYPE HTML>
<html lang="fr">
<head>
<!-- Generated by javadoc (17) on Tue May 07 14:16:39 CEST 2024 -->
<title>G-Index</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2024-05-07">
<meta name="description" content="index: G">
<meta name="generator" content="javadoc/IndexWriter">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jquery-3.6.1.min.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.min.js"></script>
</head>
<body class="index-page">
<script type="text/javascript">var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top">
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li class="nav-bar-cell1-rev">Index</li>
<li><a href="../help-doc.html#index">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search-input">SEARCH:</label>
<input type="text" id="search-input" value="search" disabled="disabled">
<input type="reset" id="reset-button" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">R</a>&nbsp;<a href="index-16.html">S</a>&nbsp;<a href="index-17.html">T</a>&nbsp;<a href="index-18.html">U</a>&nbsp;<a href="index-19.html">V</a>&nbsp;<a href="index-20.html">W</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a>
<h2 class="title" id="I:G">G</h2>
<dl class="index">
<dt><a href="../fr/ici/buildingActivity/poi/POI.html#generateAndImportPOIFromICIFolder(java.io.File,java.lang.String,java.util.List,java.time.LocalDate,boolean)" class="member-name-link">generateAndImportPOIFromICIFolder(File, String, List&lt;? extends Building&gt;, LocalDate, boolean)</a> - Static method in class fr.ici.buildingActivity.poi.<a href="../fr/ici/buildingActivity/poi/POI.html" title="class in fr.ici.buildingActivity.poi">POI</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/insee/SirenePOI.html#generateAttendance(java.lang.String,java.lang.String,java.lang.String,java.lang.String)" class="member-name-link">generateAttendance(String, String, String, String)</a> - Static method in class fr.ici.buildingActivity.insee.<a href="../fr/ici/buildingActivity/insee/SirenePOI.html" title="class in fr.ici.buildingActivity.insee">SirenePOI</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/poi/POIUtil.html#generateAttendanceCode(java.lang.String)" class="member-name-link">generateAttendanceCode(String)</a> - Static method in class fr.ici.buildingActivity.poi.<a href="../fr/ici/buildingActivity/poi/POIUtil.html" title="class in fr.ici.buildingActivity.poi">POIUtil</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/building/BuildingGroup.html#generateBuildingGroup(java.util.List,java.util.List,java.util.List,org.geotools.data.simple.SimpleFeatureCollection)" class="member-name-link">generateBuildingGroup(List&lt;BuildingSimple&gt;, List&lt;Address&gt;, List&lt;Address&gt;, SimpleFeatureCollection)</a> - Static method in class fr.ici.buildingActivity.building.<a href="../fr/ici/buildingActivity/building/BuildingGroup.html" title="class in fr.ici.buildingActivity.building">BuildingGroup</a></dt>
<dd>
<div class="block">Generate new building groups out of two address collections, one representing entrances and an other one parcels.</div>
</dd>
<dt><a href="../fr/ici/buildingActivity/building/BuildingGroup.html#generateBuildingGroup(java.util.List,java.util.List,org.geotools.data.simple.SimpleFeatureCollection)" class="member-name-link">generateBuildingGroup(List&lt;BuildingSimple&gt;, List&lt;Address&gt;, SimpleFeatureCollection)</a> - Static method in class fr.ici.buildingActivity.building.<a href="../fr/ici/buildingActivity/building/BuildingGroup.html" title="class in fr.ici.buildingActivity.building">BuildingGroup</a></dt>
<dd>
<div class="block">Generate new building groups out of address representing entrances and parcels.</div>
</dd>
<dt><a href="../fr/ici/buildingActivity/building/BuildingGroup.html#generateBuildingGroup(java.util.List,java.util.List,org.geotools.data.simple.SimpleFeatureCollection,org.geotools.data.simple.SimpleFeatureCollection)" class="member-name-link">generateBuildingGroup(List&lt;BuildingSimple&gt;, List&lt;Address&gt;, SimpleFeatureCollection, SimpleFeatureCollection)</a> - Static method in class fr.ici.buildingActivity.building.<a href="../fr/ici/buildingActivity/building/BuildingGroup.html" title="class in fr.ici.buildingActivity.building">BuildingGroup</a></dt>
<dd>
<div class="block">Generate new building groups out of entrances addresses and their links to building.</div>
</dd>
<dt><a href="../fr/ici/buildingActivity/housing/Housing.html#generateHousing(java.util.List,java.io.File,java.io.File,java.io.File,java.io.File)" class="member-name-link">generateHousing(List&lt;? extends Building&gt;, File, File, File, File)</a> - Static method in class fr.ici.buildingActivity.housing.<a href="../fr/ici/buildingActivity/housing/Housing.html" title="class in fr.ici.buildingActivity.housing">Housing</a></dt>
<dd>
<div class="block">Generate housing in a population of buildings</div>
</dd>
<dt><a href="../fr/ici/buildingActivity/housing/Housing.html#generateHousing(java.util.List,java.io.File,java.io.File,java.util.List,java.util.List)" class="member-name-link">generateHousing(List&lt;? extends Building&gt;, File, File, List&lt;? extends LocalPOI&gt;, List&lt;POI&gt;)</a> - Static method in class fr.ici.buildingActivity.housing.<a href="../fr/ici/buildingActivity/housing/Housing.html" title="class in fr.ici.buildingActivity.housing">Housing</a></dt>
<dd>
<div class="block">Generate housing in a population of buildings</div>
</dd>
<dt><a href="../fr/ici/buildingActivity/minister/PrimarySecondarySchoolsUtil.html#generatePrimarySecondaryClasses(java.io.File,java.util.List,java.util.List,java.time.LocalDate,org.locationtech.jts.geom.Geometry,java.lang.String)" class="member-name-link">generatePrimarySecondaryClasses(File, List&lt;? extends POI&gt;, List&lt;? extends POI&gt;, LocalDate, Geometry, String)</a> - Static method in class fr.ici.buildingActivity.minister.<a href="../fr/ici/buildingActivity/minister/PrimarySecondarySchoolsUtil.html" title="class in fr.ici.buildingActivity.minister">PrimarySecondarySchoolsUtil</a></dt>
<dd>
<div class="block">General class for importing primary and secondary education.</div>
</dd>
<dt><a href="../fr/ici/buildingActivity/minister/PrimarySecondarySchoolsUtil.html#generatePSS(java.io.File,java.io.File,java.io.File,java.io.File,java.util.List,org.locationtech.jts.geom.Geometry,java.lang.String,java.time.LocalDate,boolean)" class="member-name-link">generatePSS(File, File, File, File, List&lt;? extends Building&gt;, Geometry, String, LocalDate, boolean)</a> - Static method in class fr.ici.buildingActivity.minister.<a href="../fr/ici/buildingActivity/minister/PrimarySecondarySchoolsUtil.html" title="class in fr.ici.buildingActivity.minister">PrimarySecondarySchoolsUtil</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/address/Address.html#generateSimpleFeature()" class="member-name-link">generateSimpleFeature()</a> - Method in class fr.ici.buildingActivity.address.<a href="../fr/ici/buildingActivity/address/Address.html" title="class in fr.ici.buildingActivity.address">Address</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/building/BuildingGroup.html#generateSimpleFeature()" class="member-name-link">generateSimpleFeature()</a> - Method in class fr.ici.buildingActivity.building.<a href="../fr/ici/buildingActivity/building/BuildingGroup.html" title="class in fr.ici.buildingActivity.building">BuildingGroup</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/building/BuildingSimple.html#generateSimpleFeature()" class="member-name-link">generateSimpleFeature()</a> - Method in class fr.ici.buildingActivity.building.<a href="../fr/ici/buildingActivity/building/BuildingSimple.html" title="class in fr.ici.buildingActivity.building">BuildingSimple</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/housing/Housing.html#generateSimpleFeature()" class="member-name-link">generateSimpleFeature()</a> - Method in class fr.ici.buildingActivity.housing.<a href="../fr/ici/buildingActivity/housing/Housing.html" title="class in fr.ici.buildingActivity.housing">Housing</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/poi/POI.html#generateSimpleFeature()" class="member-name-link">generateSimpleFeature()</a> - Method in class fr.ici.buildingActivity.poi.<a href="../fr/ici/buildingActivity/poi/POI.html" title="class in fr.ici.buildingActivity.poi">POI</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/poi/POI.html#generateSimpleFeature(java.lang.String)" class="member-name-link">generateSimpleFeature(String)</a> - Method in class fr.ici.buildingActivity.poi.<a href="../fr/ici/buildingActivity/poi/POI.html" title="class in fr.ici.buildingActivity.poi">POI</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/insee/SirenePOI.html#generateSireneSimpleFeature()" class="member-name-link">generateSireneSimpleFeature()</a> - Method in class fr.ici.buildingActivity.insee.<a href="../fr/ici/buildingActivity/insee/SirenePOI.html" title="class in fr.ici.buildingActivity.insee">SirenePOI</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/minister/SuperiorEducation.html#generateSuperiorEducation(java.util.List,java.util.List,java.util.List,java.io.File,java.time.LocalDate,org.locationtech.jts.geom.Geometry,java.lang.String)" class="member-name-link">generateSuperiorEducation(List&lt;? extends LocalPOI&gt;, List&lt;POI&gt;, List&lt;? extends Building&gt;, File, LocalDate, Geometry, String)</a> - Static method in class fr.ici.buildingActivity.minister.<a href="../fr/ici/buildingActivity/minister/SuperiorEducation.html" title="class in fr.ici.buildingActivity.minister">SuperiorEducation</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/poi/POI.html#generateSyntheticPOI(int,org.locationtech.jts.geom.Polygon)" class="member-name-link">generateSyntheticPOI(int, Polygon)</a> - Static method in class fr.ici.buildingActivity.poi.<a href="../fr/ici/buildingActivity/poi/POI.html" title="class in fr.ici.buildingActivity.poi">POI</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/minister/PrimarySecondarySchoolsUtil.html#generateSyntheticPrimarySecondarySchools(int,int%5B%5D,double%5B%5D,org.locationtech.jts.geom.Polygon)" class="member-name-link">generateSyntheticPrimarySecondarySchools(int, int[], double[], Polygon)</a> - Static method in class fr.ici.buildingActivity.minister.<a href="../fr/ici/buildingActivity/minister/PrimarySecondarySchoolsUtil.html" title="class in fr.ici.buildingActivity.minister">PrimarySecondarySchoolsUtil</a></dt>
<dd>
<div class="block">Create synthetic schools with the number of students and their repartition through levels, a number of type of schools by levels.</div>
</dd>
<dt><a href="../fr/ici/buildingActivity/minister/SuperiorEducation.html#generateSyntheticSuperiorEducation(int,int,int,int,org.locationtech.jts.geom.Polygon)" class="member-name-link">generateSyntheticSuperiorEducation(int, int, int, int, Polygon)</a> - Static method in class fr.ici.buildingActivity.minister.<a href="../fr/ici/buildingActivity/minister/SuperiorEducation.html" title="class in fr.ici.buildingActivity.minister">SuperiorEducation</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/insee/SireneUtil.html#generateWorkingForce(java.lang.String,java.lang.String,java.sql.Connection)" class="member-name-link">generateWorkingForce(String, String, Connection)</a> - Static method in class fr.ici.buildingActivity.insee.<a href="../fr/ici/buildingActivity/insee/SireneUtil.html" title="class in fr.ici.buildingActivity.insee">SireneUtil</a></dt>
<dd>
<div class="block">Get a Working Place's workforce.</div>
</dd>
<dt><a href="../fr/ici/buildingActivity/housing/HousingTools.html#generationMethod" class="member-name-link">generationMethod</a> - Static variable in class fr.ici.buildingActivity.housing.<a href="../fr/ici/buildingActivity/housing/HousingTools.html" title="class in fr.ici.buildingActivity.housing">HousingTools</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/insee/SirenePOI.html#genWorkingforce()" class="member-name-link">genWorkingforce()</a> - Method in class fr.ici.buildingActivity.insee.<a href="../fr/ici/buildingActivity/insee/SirenePOI.html" title="class in fr.ici.buildingActivity.insee">SirenePOI</a></dt>
<dd>
<div class="block">Get a Working Place's workforce, with respect to stategy of generation.</div>
</dd>
<dt><a href="../fr/ici/buildingActivity/insee/SirenePOI.html#genWorkingforce(int)" class="member-name-link">genWorkingforce(int)</a> - Static method in class fr.ici.buildingActivity.insee.<a href="../fr/ici/buildingActivity/insee/SirenePOI.html" title="class in fr.ici.buildingActivity.insee">SirenePOI</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/insee/SirenePOI.html#getActivity()" class="member-name-link">getActivity()</a> - Method in class fr.ici.buildingActivity.insee.<a href="../fr/ici/buildingActivity/insee/SirenePOI.html" title="class in fr.ici.buildingActivity.insee">SirenePOI</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/insee/SireneUtil.html#getAmenityTypeNameFromNAFs(java.lang.String,java.lang.String)" class="member-name-link">getAmenityTypeNameFromNAFs(String, String)</a> - Static method in class fr.ici.buildingActivity.insee.<a href="../fr/ici/buildingActivity/insee/SireneUtil.html" title="class in fr.ici.buildingActivity.insee">SireneUtil</a></dt>
<dd>
<div class="block">todo put that into memory</div>
</dd>
<dt><a href="../fr/ici/buildingActivity/housing/Housing.html#getApproximateGeom()" class="member-name-link">getApproximateGeom()</a> - Method in class fr.ici.buildingActivity.housing.<a href="../fr/ici/buildingActivity/housing/Housing.html" title="class in fr.ici.buildingActivity.housing">Housing</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/housing/Housing.html#getArea()" class="member-name-link">getArea()</a> - Method in class fr.ici.buildingActivity.housing.<a href="../fr/ici/buildingActivity/housing/Housing.html" title="class in fr.ici.buildingActivity.housing">Housing</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/local/paris/ApurPOI.html#getArea(fr.ici.buildingActivity.local.paris.ApurPOI)" class="member-name-link">getArea(ApurPOI)</a> - Static method in class fr.ici.buildingActivity.local.paris.<a href="../fr/ici/buildingActivity/local/paris/ApurPOI.html" title="class in fr.ici.buildingActivity.local.paris">ApurPOI</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/housing/HousingTools.html#getAreaOfHousingClass(int,boolean)" class="member-name-link">getAreaOfHousingClass(int, boolean)</a> - Static method in class fr.ici.buildingActivity.housing.<a href="../fr/ici/buildingActivity/housing/HousingTools.html" title="class in fr.ici.buildingActivity.housing">HousingTools</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/poi/POI.html#getAttendance()" class="member-name-link">getAttendance()</a> - Method in class fr.ici.buildingActivity.poi.<a href="../fr/ici/buildingActivity/poi/POI.html" title="class in fr.ici.buildingActivity.poi">POI</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/local/paris/ApurPOI.html#getAverageArea(fr.ici.buildingActivity.local.paris.ApurPOI)" class="member-name-link">getAverageArea(ApurPOI)</a> - Static method in class fr.ici.buildingActivity.local.paris.<a href="../fr/ici/buildingActivity/local/paris/ApurPOI.html" title="class in fr.ici.buildingActivity.local.paris">ApurPOI</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/building/getBDTopo.html" class="type-name-link" title="class in fr.ici.buildingActivity.building">getBDTopo</a> - Class in <a href="../fr/ici/buildingActivity/building/package-summary.html">fr.ici.buildingActivity.building</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/building/getBDTopo.html#%3Cinit%3E()" class="member-name-link">getBDTopo()</a> - Constructor for class fr.ici.buildingActivity.building.<a href="../fr/ici/buildingActivity/building/getBDTopo.html" title="class in fr.ici.buildingActivity.building">getBDTopo</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/bnb/GetBNBData.html" class="type-name-link" title="class in fr.ici.buildingActivity.bnb">GetBNBData</a> - Class in <a href="../fr/ici/buildingActivity/bnb/package-summary.html">fr.ici.buildingActivity.bnb</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/bnb/GetBNBData.html#%3Cinit%3E()" class="member-name-link">GetBNBData()</a> - Constructor for class fr.ici.buildingActivity.bnb.<a href="../fr/ici/buildingActivity/bnb/GetBNBData.html" title="class in fr.ici.buildingActivity.bnb">GetBNBData</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/insee/BPEUtil.html#getBPETypeName(java.lang.String)" class="member-name-link">getBPETypeName(String)</a> - Static method in class fr.ici.buildingActivity.insee.<a href="../fr/ici/buildingActivity/insee/BPEUtil.html" title="class in fr.ici.buildingActivity.insee">BPEUtil</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/housing/Housing.html#getBuildingID()" class="member-name-link">getBuildingID()</a> - Method in class fr.ici.buildingActivity.housing.<a href="../fr/ici/buildingActivity/housing/Housing.html" title="class in fr.ici.buildingActivity.housing">Housing</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/osm/OsmPOI.html#getCapacity(org.opengis.feature.simple.SimpleFeature)" class="member-name-link">getCapacity(SimpleFeature)</a> - Static method in class fr.ici.buildingActivity.osm.<a href="../fr/ici/buildingActivity/osm/OsmPOI.html" title="class in fr.ici.buildingActivity.osm">OsmPOI</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/address/AddressUtil.html#getClosestAddress(java.util.List,fr.ici.buildingActivity.building.BuildingSimple,boolean,double)" class="member-name-link">getClosestAddress(List&lt;Address&gt;, BuildingSimple, boolean, double)</a> - Static method in class fr.ici.buildingActivity.address.<a href="../fr/ici/buildingActivity/address/AddressUtil.html" title="class in fr.ici.buildingActivity.address">AddressUtil</a></dt>
<dd>
<div class="block">Recursively look for an address meter by meter.</div>
</dd>
<dt><a href="../fr/ici/buildingActivity/address/AddressUtil.html#getClosestAddress(java.util.List,org.locationtech.jts.geom.Point,double)" class="member-name-link">getClosestAddress(List&lt;Address&gt;, Point, double)</a> - Static method in class fr.ici.buildingActivity.address.<a href="../fr/ici/buildingActivity/address/AddressUtil.html" title="class in fr.ici.buildingActivity.address">AddressUtil</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/address/AddressUtil.html#getClosestAddress(org.geotools.data.simple.SimpleFeatureCollection,org.opengis.feature.simple.SimpleFeature,org.opengis.filter.FilterFactory2)" class="member-name-link">getClosestAddress(SimpleFeatureCollection, SimpleFeature, FilterFactory2)</a> - Static method in class fr.ici.buildingActivity.address.<a href="../fr/ici/buildingActivity/address/AddressUtil.html" title="class in fr.ici.buildingActivity.address">AddressUtil</a></dt>
<dd>
<div class="block">Recursively look for an address meter by meter.</div>
</dd>
<dt><a href="../fr/ici/buildingActivity/building/BuildingUtil.html#getClosestBuilding(java.util.List,org.locationtech.jts.geom.Point,float)" class="member-name-link">getClosestBuilding(List&lt;? extends Building&gt;, Point, float)</a> - Static method in class fr.ici.buildingActivity.building.<a href="../fr/ici/buildingActivity/building/BuildingUtil.html" title="class in fr.ici.buildingActivity.building">BuildingUtil</a></dt>
<dd>
<div class="block">Recursively look for a Building meter by meter from a point.</div>
</dd>
<dt><a href="../fr/ici/buildingActivity/address/AddressUtil.html#getClosestEntrance(java.util.List,fr.ici.buildingActivity.building.BuildingSimple,double)" class="member-name-link">getClosestEntrance(List&lt;Address&gt;, BuildingSimple, double)</a> - Static method in class fr.ici.buildingActivity.address.<a href="../fr/ici/buildingActivity/address/AddressUtil.html" title="class in fr.ici.buildingActivity.address">AddressUtil</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/address/AddressUtil.html#getClosestParcel(java.util.List,fr.ici.buildingActivity.building.BuildingSimple,double)" class="member-name-link">getClosestParcel(List&lt;Address&gt;, BuildingSimple, double)</a> - Static method in class fr.ici.buildingActivity.address.<a href="../fr/ici/buildingActivity/address/AddressUtil.html" title="class in fr.ici.buildingActivity.address">AddressUtil</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/util/MakeCommonNomenclature.html#getCommonNomenclatureFile()" class="member-name-link">getCommonNomenclatureFile()</a> - Method in class fr.ici.buildingActivity.util.<a href="../fr/ici/buildingActivity/util/MakeCommonNomenclature.html" title="class in fr.ici.buildingActivity.util">MakeCommonNomenclature</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/building/BuildingGroup.html#getEntrances()" class="member-name-link">getEntrances()</a> - Method in class fr.ici.buildingActivity.building.<a href="../fr/ici/buildingActivity/building/BuildingGroup.html" title="class in fr.ici.buildingActivity.building">BuildingGroup</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/address/AddressUtil.html#getEntrancesFromAddresses(org.geotools.data.simple.SimpleFeatureCollection,org.opengis.filter.FilterFactory2)" class="member-name-link">getEntrancesFromAddresses(SimpleFeatureCollection, FilterFactory2)</a> - Static method in class fr.ici.buildingActivity.address.<a href="../fr/ici/buildingActivity/address/AddressUtil.html" title="class in fr.ici.buildingActivity.address">AddressUtil</a></dt>
<dd>
<div class="block">Get addresses that represents an entrance</div>
</dd>
<dt><a href="../fr/ici/buildingActivity/address/Address.html#getField(fr.ici.buildingActivity.util.property.AddressRef,java.lang.String)" class="member-name-link">getField(AddressRef, String)</a> - Static method in class fr.ici.buildingActivity.address.<a href="../fr/ici/buildingActivity/address/Address.html" title="class in fr.ici.buildingActivity.address">Address</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/building/BuildingSimple.html#getFunctionalRatio()" class="member-name-link">getFunctionalRatio()</a> - Static method in class fr.ici.buildingActivity.building.<a href="../fr/ici/buildingActivity/building/BuildingSimple.html" title="class in fr.ici.buildingActivity.building">BuildingSimple</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/address/Address.html#getGeom()" class="member-name-link">getGeom()</a> - Method in class fr.ici.buildingActivity.address.<a href="../fr/ici/buildingActivity/address/Address.html" title="class in fr.ici.buildingActivity.address">Address</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/building/Building.html#getGeom()" class="member-name-link">getGeom()</a> - Method in class fr.ici.buildingActivity.building.<a href="../fr/ici/buildingActivity/building/Building.html" title="class in fr.ici.buildingActivity.building">Building</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/bnb/GetBNBData.html#getGPKG(java.lang.String,java.io.File)" class="member-name-link">getGPKG(String, File)</a> - Static method in class fr.ici.buildingActivity.bnb.<a href="../fr/ici/buildingActivity/bnb/GetBNBData.html" title="class in fr.ici.buildingActivity.bnb">GetBNBData</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/poi/POI.html#getIciAmenity(java.lang.String,java.lang.String)" class="member-name-link">getIciAmenity(String, String)</a> - Method in class fr.ici.buildingActivity.poi.<a href="../fr/ici/buildingActivity/poi/POI.html" title="class in fr.ici.buildingActivity.poi">POI</a></dt>
<dd>
<div class="block">Get the ICI amenity type for any subclass's type.</div>
</dd>
<dt><a href="../fr/ici/buildingActivity/poi/POI.html#getIdentification()" class="member-name-link">getIdentification()</a> - Method in class fr.ici.buildingActivity.poi.<a href="../fr/ici/buildingActivity/poi/POI.html" title="class in fr.ici.buildingActivity.poi">POI</a></dt>
<dd>
<div class="block">Get an identification of the POI that is easily comparable.</div>
</dd>
<dt><a href="../fr/ici/buildingActivity/address/Address.html#getIDsBuilding()" class="member-name-link">getIDsBuilding()</a> - Method in class fr.ici.buildingActivity.address.<a href="../fr/ici/buildingActivity/address/Address.html" title="class in fr.ici.buildingActivity.address">Address</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/address/Address.html#getInseeCode()" class="member-name-link">getInseeCode()</a> - Method in class fr.ici.buildingActivity.address.<a href="../fr/ici/buildingActivity/address/Address.html" title="class in fr.ici.buildingActivity.address">Address</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/address/Address.html#getIrisCode()" class="member-name-link">getIrisCode()</a> - Method in class fr.ici.buildingActivity.address.<a href="../fr/ici/buildingActivity/address/Address.html" title="class in fr.ici.buildingActivity.address">Address</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/iris/IRISHousing.html#getLgt100120M2()" class="member-name-link">getLgt100120M2()</a> - Method in class fr.ici.buildingActivity.iris.<a href="../fr/ici/buildingActivity/iris/IRISHousing.html" title="class in fr.ici.buildingActivity.iris">IRISHousing</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/iris/IRISHousing.html#getLgt120M2P()" class="member-name-link">getLgt120M2P()</a> - Method in class fr.ici.buildingActivity.iris.<a href="../fr/ici/buildingActivity/iris/IRISHousing.html" title="class in fr.ici.buildingActivity.iris">IRISHousing</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/iris/IRISHousing.html#getLgt3040M2()" class="member-name-link">getLgt3040M2()</a> - Method in class fr.ici.buildingActivity.iris.<a href="../fr/ici/buildingActivity/iris/IRISHousing.html" title="class in fr.ici.buildingActivity.iris">IRISHousing</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/iris/IRISHousing.html#getLgt4060M2()" class="member-name-link">getLgt4060M2()</a> - Method in class fr.ici.buildingActivity.iris.<a href="../fr/ici/buildingActivity/iris/IRISHousing.html" title="class in fr.ici.buildingActivity.iris">IRISHousing</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/iris/IRISHousing.html#getLgt6080M2()" class="member-name-link">getLgt6080M2()</a> - Method in class fr.ici.buildingActivity.iris.<a href="../fr/ici/buildingActivity/iris/IRISHousing.html" title="class in fr.ici.buildingActivity.iris">IRISHousing</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/iris/IRISHousing.html#getLgt80100M2()" class="member-name-link">getLgt80100M2()</a> - Method in class fr.ici.buildingActivity.iris.<a href="../fr/ici/buildingActivity/iris/IRISHousing.html" title="class in fr.ici.buildingActivity.iris">IRISHousing</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/iris/IRISHousing.html#getLgtM30M2()" class="member-name-link">getLgtM30M2()</a> - Method in class fr.ici.buildingActivity.iris.<a href="../fr/ici/buildingActivity/iris/IRISHousing.html" title="class in fr.ici.buildingActivity.iris">IRISHousing</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/poi/POI.html#getLocalProbability()" class="member-name-link">getLocalProbability()</a> - Method in class fr.ici.buildingActivity.poi.<a href="../fr/ici/buildingActivity/poi/POI.html" title="class in fr.ici.buildingActivity.poi">POI</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/building/BuildingGroup.html#getNames()" class="member-name-link">getNames()</a> - Method in class fr.ici.buildingActivity.building.<a href="../fr/ici/buildingActivity/building/BuildingGroup.html" title="class in fr.ici.buildingActivity.building">BuildingGroup</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/address/Address.html#getNameStreet()" class="member-name-link">getNameStreet()</a> - Method in class fr.ici.buildingActivity.address.<a href="../fr/ici/buildingActivity/address/Address.html" title="class in fr.ici.buildingActivity.address">Address</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/building/Building.html#getNbHousing()" class="member-name-link">getNbHousing()</a> - Method in class fr.ici.buildingActivity.building.<a href="../fr/ici/buildingActivity/building/Building.html" title="class in fr.ici.buildingActivity.building">Building</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/iris/IRISHousing.html#getNbNotPrincipalHousing()" class="member-name-link">getNbNotPrincipalHousing()</a> - Method in class fr.ici.buildingActivity.iris.<a href="../fr/ici/buildingActivity/iris/IRISHousing.html" title="class in fr.ici.buildingActivity.iris">IRISHousing</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/iris/IRISHousing.html#getNbPrincipalHousing()" class="member-name-link">getNbPrincipalHousing()</a> - Method in class fr.ici.buildingActivity.iris.<a href="../fr/ici/buildingActivity/iris/IRISHousing.html" title="class in fr.ici.buildingActivity.iris">IRISHousing</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/poi/POIUtil.html#getNomencl(java.lang.String,java.lang.String)" class="member-name-link">getNomencl(String, String)</a> - Static method in class fr.ici.buildingActivity.poi.<a href="../fr/ici/buildingActivity/poi/POIUtil.html" title="class in fr.ici.buildingActivity.poi">POIUtil</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/insee/SireneUtil.html#getNomencl(java.lang.String,java.lang.String,java.lang.String)" class="member-name-link">getNomencl(String, String, String)</a> - Static method in class fr.ici.buildingActivity.insee.<a href="../fr/ici/buildingActivity/insee/SireneUtil.html" title="class in fr.ici.buildingActivity.insee">SireneUtil</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/insee/BPEUtil.html#getNomenclatureFile()" class="member-name-link">getNomenclatureFile()</a> - Static method in class fr.ici.buildingActivity.insee.<a href="../fr/ici/buildingActivity/insee/BPEUtil.html" title="class in fr.ici.buildingActivity.insee">BPEUtil</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/local/paris/APURUtil.html#getNomenclatureFile()" class="member-name-link">getNomenclatureFile()</a> - Static method in class fr.ici.buildingActivity.local.paris.<a href="../fr/ici/buildingActivity/local/paris/APURUtil.html" title="class in fr.ici.buildingActivity.local.paris">APURUtil</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/osm/OSMUtil.html#getNomenclatureFile()" class="member-name-link">getNomenclatureFile()</a> - Static method in class fr.ici.buildingActivity.osm.<a href="../fr/ici/buildingActivity/osm/OSMUtil.html" title="class in fr.ici.buildingActivity.osm">OSMUtil</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/insee/SireneUtil.html#getNomenclaturePOIFile()" class="member-name-link">getNomenclaturePOIFile()</a> - Static method in class fr.ici.buildingActivity.insee.<a href="../fr/ici/buildingActivity/insee/SireneUtil.html" title="class in fr.ici.buildingActivity.insee">SireneUtil</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/address/Address.html#getNumber()" class="member-name-link">getNumber()</a> - Method in class fr.ici.buildingActivity.address.<a href="../fr/ici/buildingActivity/address/Address.html" title="class in fr.ici.buildingActivity.address">Address</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/osm/OSMUtil.html#getOSMAmenityNames(java.lang.String,java.lang.String)" class="member-name-link">getOSMAmenityNames(String, String)</a> - Static method in class fr.ici.buildingActivity.osm.<a href="../fr/ici/buildingActivity/osm/OSMUtil.html" title="class in fr.ici.buildingActivity.osm">OSMUtil</a></dt>
<dd>
<div class="block">Get nomenclature translations and ici types for OSM entries</div>
</dd>
<dt><a href="../fr/ici/buildingActivity/minister/TypeOfSchools.html#getPrimarySecondarySchools()" class="member-name-link">getPrimarySecondarySchools()</a> - Static method in enum class fr.ici.buildingActivity.minister.<a href="../fr/ici/buildingActivity/minister/TypeOfSchools.html" title="enum class in fr.ici.buildingActivity.minister">TypeOfSchools</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/building/Building.html#getProfessionalArea()" class="member-name-link">getProfessionalArea()</a> - Method in class fr.ici.buildingActivity.building.<a href="../fr/ici/buildingActivity/building/Building.html" title="class in fr.ici.buildingActivity.building">Building</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/local/paris/ApurPOI.html#getRandomArea(fr.ici.buildingActivity.local.paris.ApurPOI)" class="member-name-link">getRandomArea(ApurPOI)</a> - Static method in class fr.ici.buildingActivity.local.paris.<a href="../fr/ici/buildingActivity/local/paris/ApurPOI.html" title="class in fr.ici.buildingActivity.local.paris">ApurPOI</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/housing/HousingTools.html#getRandomHousing(float%5B%5D,float%5B%5D,java.lang.String,org.locationtech.jts.geom.Point,boolean,boolean)" class="member-name-link">getRandomHousing(float[], float[], String, Point, boolean, boolean)</a> - Static method in class fr.ici.buildingActivity.housing.<a href="../fr/ici/buildingActivity/housing/HousingTools.html" title="class in fr.ici.buildingActivity.housing">HousingTools</a></dt>
<dd>
<div class="block">Get the distribution of the apartment sizes and randomly affect a size to the household by its probability.</div>
</dd>
<dt><a href="../fr/ici/buildingActivity/poi/UseCase.html#getRestaurant(org.geotools.data.simple.SimpleFeatureCollection)" class="member-name-link">getRestaurant(SimpleFeatureCollection)</a> - Static method in class fr.ici.buildingActivity.poi.<a href="../fr/ici/buildingActivity/poi/UseCase.html" title="class in fr.ici.buildingActivity.poi">UseCase</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/building/Building.html#getRoomLeft(java.util.List)" class="member-name-link">getRoomLeft(List&lt;Housing&gt;)</a> - Method in class fr.ici.buildingActivity.building.<a href="../fr/ici/buildingActivity/building/Building.html" title="class in fr.ici.buildingActivity.building">Building</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/address/Address.html#getSFB()" class="member-name-link">getSFB()</a> - Method in class fr.ici.buildingActivity.address.<a href="../fr/ici/buildingActivity/address/Address.html" title="class in fr.ici.buildingActivity.address">Address</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/bnb/GetBNBData.html#getSFB()" class="member-name-link">getSFB()</a> - Static method in class fr.ici.buildingActivity.bnb.<a href="../fr/ici/buildingActivity/bnb/GetBNBData.html" title="class in fr.ici.buildingActivity.bnb">GetBNBData</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/building/BuildingGroup.html#getSFB()" class="member-name-link">getSFB()</a> - Method in class fr.ici.buildingActivity.building.<a href="../fr/ici/buildingActivity/building/BuildingGroup.html" title="class in fr.ici.buildingActivity.building">BuildingGroup</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/building/BuildingSimple.html#getSFB()" class="member-name-link">getSFB()</a> - Method in class fr.ici.buildingActivity.building.<a href="../fr/ici/buildingActivity/building/BuildingSimple.html" title="class in fr.ici.buildingActivity.building">BuildingSimple</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/housing/Housing.html#getSFB()" class="member-name-link">getSFB()</a> - Method in class fr.ici.buildingActivity.housing.<a href="../fr/ici/buildingActivity/housing/Housing.html" title="class in fr.ici.buildingActivity.housing">Housing</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/poi/POI.html#getSFB()" class="member-name-link">getSFB()</a> - Method in class fr.ici.buildingActivity.poi.<a href="../fr/ici/buildingActivity/poi/POI.html" title="class in fr.ici.buildingActivity.poi">POI</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/poi/UseCase.html#getSFB()" class="member-name-link">getSFB()</a> - Static method in class fr.ici.buildingActivity.poi.<a href="../fr/ici/buildingActivity/poi/UseCase.html" title="class in fr.ici.buildingActivity.poi">UseCase</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/util/MakeCommonPOIinBuilding.html#getSFB()" class="member-name-link">getSFB()</a> - Static method in class fr.ici.buildingActivity.util.<a href="../fr/ici/buildingActivity/util/MakeCommonPOIinBuilding.html" title="class in fr.ici.buildingActivity.util">MakeCommonPOIinBuilding</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/poi/POI.html#getSFB(java.lang.String)" class="member-name-link">getSFB(String)</a> - Static method in class fr.ici.buildingActivity.poi.<a href="../fr/ici/buildingActivity/poi/POI.html" title="class in fr.ici.buildingActivity.poi">POI</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/address/AddressUtil.html#getSFBforAffection(java.lang.String,org.geotools.data.simple.SimpleFeatureCollection,java.lang.String%5B%5D)" class="member-name-link">getSFBforAffection(String, SimpleFeatureCollection, String[])</a> - Static method in class fr.ici.buildingActivity.address.<a href="../fr/ici/buildingActivity/address/AddressUtil.html" title="class in fr.ici.buildingActivity.address">AddressUtil</a></dt>
<dd>
<div class="block">Select a predefined SimpleFeatureBuilder for the type of chosen summarization.</div>
</dd>
<dt><a href="../fr/ici/buildingActivity/address/Address.html#getSFCAddress(java.util.List)" class="member-name-link">getSFCAddress(List&lt;Address&gt;)</a> - Static method in class fr.ici.buildingActivity.address.<a href="../fr/ici/buildingActivity/address/Address.html" title="class in fr.ici.buildingActivity.address">Address</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/building/BuildingSimple.html#getSfcBuilding(java.util.List)" class="member-name-link">getSfcBuilding(List&lt;? extends Building&gt;)</a> - Static method in class fr.ici.buildingActivity.building.<a href="../fr/ici/buildingActivity/building/BuildingSimple.html" title="class in fr.ici.buildingActivity.building">BuildingSimple</a></dt>
<dd>
<div class="block">Write a list of Building in a geographic collection</div>
</dd>
<dt><a href="../fr/ici/buildingActivity/building/Building.html#getSFCBuilding(java.util.List)" class="member-name-link">getSFCBuilding(List&lt;? extends Building&gt;)</a> - Static method in class fr.ici.buildingActivity.building.<a href="../fr/ici/buildingActivity/building/Building.html" title="class in fr.ici.buildingActivity.building">Building</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/building/BuildingGroup.html#getSfcBuildingGroup(java.util.List)" class="member-name-link">getSfcBuildingGroup(List&lt;? extends Building&gt;)</a> - Static method in class fr.ici.buildingActivity.building.<a href="../fr/ici/buildingActivity/building/BuildingGroup.html" title="class in fr.ici.buildingActivity.building">BuildingGroup</a></dt>
<dd>
<div class="block">Export a list of building group to a geo file</div>
</dd>
<dt><a href="../fr/ici/buildingActivity/housing/Housing.html#getSFCHousing(java.util.List)" class="member-name-link">getSFCHousing(List&lt;Housing&gt;)</a> - Static method in class fr.ici.buildingActivity.housing.<a href="../fr/ici/buildingActivity/housing/Housing.html" title="class in fr.ici.buildingActivity.housing">Housing</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/poi/POI.html#getSFCPOI(java.util.List,java.lang.String,boolean)" class="member-name-link">getSFCPOI(List&lt;? extends POI&gt;, String, boolean)</a> - Static method in class fr.ici.buildingActivity.poi.<a href="../fr/ici/buildingActivity/poi/POI.html" title="class in fr.ici.buildingActivity.poi">POI</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/insee/SireneUtil.html#getSIRENEEntryNAFRev2(java.lang.String,java.lang.String)" class="member-name-link">getSIRENEEntryNAFRev2(String, String)</a> - Static method in class fr.ici.buildingActivity.insee.<a href="../fr/ici/buildingActivity/insee/SireneUtil.html" title="class in fr.ici.buildingActivity.insee">SireneUtil</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/insee/SirenePOI.html#getSireneSFB()" class="member-name-link">getSireneSFB()</a> - Static method in class fr.ici.buildingActivity.insee.<a href="../fr/ici/buildingActivity/insee/SirenePOI.html" title="class in fr.ici.buildingActivity.insee">SirenePOI</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/housing/HousingTools.html#getSizeClassOfHousings(java.util.List,int)" class="member-name-link">getSizeClassOfHousings(List&lt;Housing&gt;, int)</a> - Static method in class fr.ici.buildingActivity.housing.<a href="../fr/ici/buildingActivity/housing/HousingTools.html" title="class in fr.ici.buildingActivity.housing">HousingTools</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/housing/HousingTools.html#getSizeClassOfHousings(java.util.List,java.lang.String)" class="member-name-link">getSizeClassOfHousings(List&lt;Housing&gt;, String)</a> - Static method in class fr.ici.buildingActivity.housing.<a href="../fr/ici/buildingActivity/housing/HousingTools.html" title="class in fr.ici.buildingActivity.housing">HousingTools</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/address/Address.html#getSource()" class="member-name-link">getSource()</a> - Method in class fr.ici.buildingActivity.address.<a href="../fr/ici/buildingActivity/address/Address.html" title="class in fr.ici.buildingActivity.address">Address</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/address/Address.html#getSuffix()" class="member-name-link">getSuffix()</a> - Method in class fr.ici.buildingActivity.address.<a href="../fr/ici/buildingActivity/address/Address.html" title="class in fr.ici.buildingActivity.address">Address</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/iris/IRISHousing.html#getTotalHousing()" class="member-name-link">getTotalHousing()</a> - Method in class fr.ici.buildingActivity.iris.<a href="../fr/ici/buildingActivity/iris/IRISHousing.html" title="class in fr.ici.buildingActivity.iris">IRISHousing</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/building/Building.html#getUtilFloorArea()" class="member-name-link">getUtilFloorArea()</a> - Method in class fr.ici.buildingActivity.building.<a href="../fr/ici/buildingActivity/building/Building.html" title="class in fr.ici.buildingActivity.building">Building</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/insee/SirenePOI.html#getWorkforce()" class="member-name-link">getWorkforce()</a> - Method in class fr.ici.buildingActivity.insee.<a href="../fr/ici/buildingActivity/insee/SirenePOI.html" title="class in fr.ici.buildingActivity.insee">SirenePOI</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/insee/SirenePOI.html#getWorkforceReadable()" class="member-name-link">getWorkforceReadable()</a> - Method in class fr.ici.buildingActivity.insee.<a href="../fr/ici/buildingActivity/insee/SirenePOI.html" title="class in fr.ici.buildingActivity.insee">SirenePOI</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/insee/SirenePOI.html#gf" class="member-name-link">gf</a> - Static variable in class fr.ici.buildingActivity.insee.<a href="../fr/ici/buildingActivity/insee/SirenePOI.html" title="class in fr.ici.buildingActivity.insee">SirenePOI</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">R</a>&nbsp;<a href="index-16.html">S</a>&nbsp;<a href="index-17.html">T</a>&nbsp;<a href="index-18.html">U</a>&nbsp;<a href="index-19.html">V</a>&nbsp;<a href="index-20.html">W</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a></main>
</div>
</div>
</body>
</html>
